import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IMensajeDetalle } from '../dto/imensaje-detalle';
import { IChatConversacion } from '../dto/ichat-conversacion';
export declare class ChatComponent implements OnInit, OnChanges {
    lista: IMensajeDetalle[];
    conversacion: IChatConversacion;
    nuevoMensaje: EventEmitter<any>;
    clickLista: EventEmitter<any>;
    eliminarConversacion: EventEmitter<any>;
    bloquearConversacion: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    clickListaDetalle(detalle: any): void;
    cambiarConversacion(detalle: IMensajeDetalle): void;
    enviarMensaje(mensaje: any): void;
    eliminarMensajes(): void;
    bloquearChat(estadoBloqueo: any): void;
}
